TreeManagerAsyncWorker (The Data Transfer Agent Service 2.0.0-SNAPSHOT API)
Date: 2013-08-28

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.worker.async
Class TreeManagerAsyncWorker

    java.lang.Object
      org.gcube.datatransfer.agent.impl.worker.Worker
          org.gcube.datatransfer.agent.impl.worker.ASyncWorker
              org.gcube.datatransfer.agent.impl.worker.async.TreeManagerAsyncWorker

All Implemented Interfaces:
  Serializable, Callable

    public class TreeManagerAsyncWorker

extends ASyncWorker

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.gcube.datatransfer.agent.impl.worker.ASyncWorker
`errorHappened`

Fields inherited from class org.gcube.datatransfer.agent.impl.worker.Worker
`destParameters, list, logger, sourceParameters, task, threadList, transferId, uuidgen`

Constructor Summary
`TreeManagerAsyncWorker(String tranferID, org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source, org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)`

Method Summary
`Object` | `call()`

Methods inherited from class org.gcube.datatransfer.agent.impl.worker.Worker
`getResource, getTask, getThreadList, setTask, setThreadList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeManagerAsyncWorker

    public TreeManagerAsyncWorker(String tranferID,
                                  org.gcube.datatransfer.agent.stubs.datatransferagent.SourceData source,
                                  org.gcube.datatransfer.agent.stubs.datatransferagent.DestData dest)

Method Detail

### call

    public Object call()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.